#include "stick.as"
#include "tree.as"
#include "master.as"
#include "scale.as"

iProblem2.ShowStick = function(st, sh, stsc, shsc) {
	iStick.HideAll();
	if (st) iStick.ShowStick(StickHeight);
	if (sh) iStick.ShowShadow(StickShadowLength());
	if (stsc) iStick.ShowStickScale(StickHeight);
	if (shsc) iStick.ShowShadowScale(StickShadowLength());
};

iProblem2.ShowTree = function(st, sh, stsc, shsc) {
	iTree.HideAll();
	if (st) iTree.ShowTree(TreeHeight);
	if (sh) iTree.ShowShadow(TreeShadowLength());
	if (stsc) iTree.ShowTreeScale(TreeHeight);
	if (shsc) iTree.ShowShadowScale(TreeShadowLength());
//	trace(TreeHeight+":"+iTree.iTree._height);
};

iProblem2.ShowButtons = function(next, exit, nextProblem, replayProblem, back) {
	iButNext._visible = next;
	iButExit._visible = exit;
	iButNextProblem._visible = nextProblem;
	iButReplayProblem._visible = replayProblem;
	iButBack._visible = back;
}

iProblem2.ShowSun = function() {
	iSun.gotoAndStop(2);
	var SunCoord = GetSunCoord();
	var ScreenCoord = GetScreenCoord(SunCoord[0],SunCoord[1],SunCoord[2]);
	iSun._x = ScreenCoord[0];
	iSun._y = ScreenCoord[1];
};

iProblem2.ShowMaster = function(state) {
	if (state != "Torso" && state != "TorsoAngry") {
	    iMaster.iMaster._yscale = 
		iMaster.iMaster._xscale = GetScale(iMaster.iMaster, iMaster.HEIGHT);
	}
	else {
	    iMaster.iMaster._yscale = 
		iMaster.iMaster._xscale = 80;
	}
	switch(state) {
		case "WithStick":
			iMaster.iMaster.iHead.Fas();
			iMaster.iMaster.iRightArm.WithStick();
			break;
		case "WithOutStick":
			iMaster.iMaster.iHead.Fas();
			iMaster.iMaster.iRightArm.Down();
			break;
		case "PointingOnShadow":
			iMaster.iMaster.iHead.F3_4();
			iMaster.iMaster.iRightArm.Point();
			break;
		case "Torso":
			iMaster.iMaster.iHead.Fas();
			break;
		case "TorsoAngry":
			iMaster.iMaster.iHead.Angry();
			break;
		case "Happy":
			iMaster.iMaster.iHead.Smile();
			break;
	}
};

iProblem2.AnimateMaster = function(state) {
	switch (state) {
		case "HeadShake":
			iMaster.iMaster.iHead.Shake();
			break;
		case "HeadNod":
			iMaster.iMaster.iHead.Nod();
			break;
		case "HandUp":
			iMaster.iMaster.iRightArm.Up();
			break;
		case "Angry":
			iMaster.iMaster.iHead.Angry();
			break;
	}
};

iProblem2.ShowComment = function(state) {
	switch (state) {
		case "TreeMeasureProblem":
			iComment.iComment.gotoAndStop(1);
			break;	
		case "StickHeight":
			iComment.iComment.gotoAndStop(2);
			break;
		case "ShadowsLengths":
			iComment.iComment.gotoAndStop(3);
			break;
		case "WrongHeight":
			iComment.iComment.gotoAndStop(4);
			break;
		case "WrongLengths":
			iComment.iComment.gotoAndStop(5);
			break;	
		case "TreeHeight":
			iComment.iComment.gotoAndStop(6);
			break;
		case "WatchScheme":
			iComment.iComment.gotoAndStop(7);	
			break;
		case "Good":
			iComment.iComment.gotoAndStop(8);	
			break;
		case "WatchFormula":
			iComment.iComment.gotoAndStop(9);	
			break;
		case "ProblemSolved":
			iComment.iComment.gotoAndStop(10);
			break;
	}
	iComment.gotoAndPlay(1);
};

iProblem2.ShowWorkBook = function(state) {
	switch (state) {
		case "Empty":
			iWorkBook.gotoAndStop(1);
			break;
		case "StickHeight":
			iWorkBook.gotoAndStop(2);
			break;
		case "ShadowsLengths":
			iWorkBook.gotoAndStop(3);
			break;
		case "TreeHeight":
			iWorkBook.gotoAndStop(4);
			break;
		case "Scheme":
			iWorkBook.gotoAndStop(5);
			break;
		case "Formula":
			iWorkBook.gotoAndStop(6);
			iWorkBook.iFormula.txfStickHeight = RoundDeg(StickHeight, 2);
			iWorkBook.iFormula.txfStickShadowLength = RoundDeg(StickShadowLength(), 2);
			iWorkBook.iFormula.txfTreeHeight = RoundDeg(TreeHeight, 1);
			iWorkBook.iFormula.txfTreeShadowLength = RoundDeg(TreeShadowLength(), 2);
			break;
		case "Answere":
			iWorkBook.gotoAndStop(7);
			iWorkBook.txfTreeHeight = RoundDeg(TreeHeight, 1);
			break;
	}
};

iProblem2.ShowForestShadows = function () {
	for (var i = 1; i <= 6; i++) {
		iForest.attachMovie("grTree","iShadow"+i,i);
		var shad = eval("iForest.iShadow"+i);
		var tree = eval("iForest.iTree"+i);
		shad._x = tree._x;
		shad._y = tree._y;
		shad._width = tree._width;
		var c3D = ConvScreenToRectCoord(tree._x + tree._parent._x, tree._y + tree._parent._y);
		var coef = GetRectToScreenCoef(c3D[2]);
		var height = tree._height / (METER_TO_PIXEL_COEF * coef);
//		trace(height+":"+tree._height);

		BuildShadow(tree, shad, height)
		shad._rotation += 180;
	}

    iForest.colorTransform = new Object();
    iForest.colorTransform = { 
   				ra: '0', rb: '125', 
   				ga: '0', gb: '125', 
   				ba: '0', bb: '125', 
   				aa: '100', ab: '0'
    		};
	iForest.color = new Array(
				new Color(iForest.iShadow1),
				new Color(iForest.iShadow2),
				new Color(iForest.iShadow3),
				new Color(iForest.iShadow4),
				new Color(iForest.iShadow5),
				new Color(iForest.iShadow6)
			);

	for (var i = 0; i < 6; i++) iForest.color[i].setTransform(iForest.colorTransform);
};